1. Wallet as a Service(WaaS)
Bitycle Business
English
  • English
  • Turkish
  • Getting started
  • Bitycle Widget
    • introduction
    • demo
    • widgets
      • Advance Chart
      • Full Chart
      • Overview Chart
      • Fear & Greed
      • Technical Analysis
      • Mini Chart
      • Trends
      • Compare
      • Treemap
      • Ticker
      • Digest(AI)
      • News
      • Info
  • Bitycle Lab
    • Introduction
    • Wallet as a Service(WaaS)
      • Introduction
      • Tokens List
        GET
      • Get Balance
        GET
      • Request Ramzlink
        POST
      • Get Ramzlink Status
        GET
      • Request Wallet (VIP)
        POST
      • Callback New Payment
        POST
      • Inquiry payment with trxRefId
        POST
      • Request Withdrawal (VIP)
        POST
      • Get single Withdrawal
        GET
      • Get Deposits
        GET
      • Get Withdrawals
        GET
      • Buy TRON Energy & Bandwidth
        POST
      • Inquiry payment without trxRefId
        POST
    • Blockchain Indexer
      • introduction
      • Blockchain List
      • Contract Info
      • Get Balances
    • Security&Privacy
      • introduction
      • Check Blocked Wallets
      • Add to watch list
      • Get watch list
      • Delete from watch list
      • Get address label
      • Get address information
    • Node as a Service(NaaS)
      • introduction
    • Tokenization
      • introduction
    • Decentralized Storage(IPFS)
      • introduction
    • Hyperledger Services
      • introduction
  • Bitycle Cap
    • introduction
    • Coins
      • introduction
      • Coin List
      • Coin Info
      • Coin Price
      • coin exchange listings
    • Markets
      • introduction
      • Market Price
      • Markets Price
      • Markets List
      • Markets frame info
      • market sparklines
    • exchanges
      • introduction
      • CEX Aggregator(Buy&Sell)
        • introduction
        • get tradable markets
        • get tradable markets price
        • send otc order
        • get orders
        • get balances
      • Exchanges List
      • Exchange Info
      • Exchange Coins Listing
      • Exchange Markets Listing
  • Schemas
    • wallet
  1. Wallet as a Service(WaaS)

Get Deposits

Developing
GET
/v1/merchantDashboard/payments
Get all of your deposits transactions.

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://chainhub.bitycle.com/v1/merchantDashboard/payments?page=1&perPage=20&status=SUCCESS&startDate=2020-07-05&finalDate=2021-02-21' \
--header 'Authorization: Token xxx'
Response Response Example
{
  "transactions": {
    "data": [
      {
        "updated_at": "2023-07-20T18:39:49.999Z",
        "created_at": "2023-07-20T18:35:08.991Z",
        "terminalId": "300001",
        "current_balance": "14200.00000000",
        "description": "",
        "customer_email": null,
        "id": 8385,
        "client_id": "8297",
        "status": "SUCCESS",
        "amount": "500.20000000",
        "token": "USDT",
        "fee": "0.50000000",
        "trx_hash": "ffdab...6f9a1fe95",
        "network": "BSC",
        "receiver": "0xd8007...c3eb",
        "depositType": "GATEWAY"
      },
      {
        "updated_at": "2023-02-14T19:07:49.944Z",
        "created_at": "2023-11-07T16:34:32.217Z",
        "terminalId": "300003",
        "current_balance": "0.00000000",
        "description": "test description",
        "customer_email": null,
        "id": 8052,
        "client_id": "8297",
        "status": "PENDING",
        "amount": "0.00000000",
        "token": "POL",
        "fee": "0.00000000",
        "trx_hash": null,
        "network": "-",
        "depositType": "GATEWAY"
      }
    ],
    "total": "2",
    "page": 1,
    "perPage": 15
  }
}
Modified at 2026-08-02 05:55:52
Previous
Get single Withdrawal
Next
Get Withdrawals
Built with